﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ModuleListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.ModuleListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:ModuleGridView runat="server" ID="Grid" ShowCheckBoxColumn="False">            
                <Columns>
                  <List:GridColumn Header="Name" PropertyName="Name" Width="34"/>
                  <List:GridColumn Header="Title" PropertyName="Title" Width="40"/>
                  <List:BinaryGridColumn Header="Status" PropertyName="Enabled" Width="20"/>
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" 
                    InactiveCssClass="butt-edit-dis png cursor-hand" />
                </ActionColumns>
            </Grid:ModuleGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" />
            <span class="grid-area-filter-item">
                <label class="line-label"><%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
