﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductKitListing.ascx.cs" Inherits="Core.Web.Admin.Controls.Listing.ProductKitListing" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tbody>
    <tr>
      <td>
        <Filter:FiltersArea runat="server" ID="Filters">
          <Filters>
            <UI:FilterTextBox runat="server" ID="SearchBox" />
          </Filters>
        </Filter:FiltersArea>
      </td>
    </tr>
    <tr>
      <td>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
      </td>
    </tr>
    <tr>
      <td>
        <Grid:ProductKitGridView runat="server" ID="Grid">
          <Columns>
            <List:GridColumn Header="Title" PropertyName="Product.Title" Width="23" />
            <List:GridColumn Header="Reference" PropertyName="Product.Reference" Width="23" />
            <List:MoneyGridColumn Header="Price" PropertyName="Product.Price" Width="23" />
          </Columns>
          <ActionColumns>
            <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="inactive-action-column" />
            <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="inactive-action-column" />
          </ActionColumns>
        </Grid:ProductKitGridView>
      </td>
    </tr>
    <tr>
      <td>
        <List:ItemsCounter runat="server" ID="ItemsCounter" />

        <span class="grid-area-filter-item">

          <label class="line-label">
            <%=PageSize.FieldView%></label>

          <List:PageSizeChanger runat="server" ID="PageSize" />
        </span>

        <List:Paginator runat="server" ID="GridPaginator" />
      </td>
    </tr>
  </tbody>
</table>
