﻿<%@ Import Namespace="Core.Web.Constants" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AttributeViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.AttributeViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.AttributeDetails%></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                        <tr>
                                            <td class="label-value">
                                                <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="NameLabel" />
                                            </td>
                                            <td class="control-value">
                                                <UI:Label ID="NameLabel" runat="server" Template-PropertyName="Name" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="label-value">
                                                <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="DescriptionLabel" />
                                            </td>
                                            <td class="control-value">
                                                <UI:Label ID="DescriptionLabel" runat="server" Template-PropertyName="Description" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="label-value">
                                            </td>
                                            <td class="control-value">
                                                <UI:BooleanLabel ID="IsCustomerAttributeLabel" runat="server" Template-PropertyName="IsCustomerAttribute" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="label-value">
                                                <UI:StaticLabel runat="server" ID="AttributeValuesFieldsView" />
                                            </td>
                                            <td class="control-value">
                                                <CL:AttributeValuesLabel ID="AttributeValues" runat="server" PropertyName="Value"/>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
