﻿<%@ Import Namespace="Core.Web.Constants" %>
<%@ Import Namespace="Core.Web" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="PageTitle.ascx.cs" Inherits="Core.Web.Admin.PageElements.PageTitle" %>
<table class="content-resizeble-block">
  <tbody>
    <tr>
      <td id="<%=LeftPanelID%>" class="big-cell">
        <img id="moduleImage" src="<%=ImagePath%>" alt="<%=Title%>" title="<%=Title%>" /><h3
          style="width: <%=TitleWidth%>px" id="<%=CssConstants.Current.PageTitleID%>">
          <%=Title%></h3>
      </td>
      <td class="splitter">
        <img id="<%=SplitterID%>" width="32" height="42" title="" alt="" src="<%=Global.ApplicationPath%>admin/Files/images/spacer.gif" />
      </td>
      <td id="<%=RightPanelID%>" class="resizeble-cell">
        <span class="hdr"><%=iFramework.Controls.Constants.ControlConstants.Current.PageTitleToolTipText%></span>
        <%=Description%>
      </td>
    </tr>
  </tbody>
</table>

<script type="text/javascript" language="javascript">

  $(function() {
    $('#moduleImage').pngFix();
    $('#<%=CssConstants.Current.PageTitleID%>').sifr({path: '<%=Global.ApplicationPath%>Files/Fonts/', font:'trebuc', color: '#47525d'});
    $('#<%=SplitterID%>').makeCollapsable(
      {
        mainPanel: '#<%=LeftPanelID%>', 
        resizablePanel:'#<%=RightPanelID%>'
      }, 
      {
        expandedLinkClass:'expanded', 
        isExpanded: true, 
        dividerLocation: <%=CollapsorDividerLocation%>,
        key: 'tooltip-position'
      });
  });

</script>

