﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddressEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.AddressPages.AddressEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/DeliveryAddressEditor.ascx" TagName="AddressEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="AddressEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:AddressTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:AddressTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:AddressEditor ID="AddressEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:AddressTabItem>
                                </Items>
                            </Tab:AddressTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
