﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CurrencyEditorPage.aspx.cs" Inherits="Core.Web.Admin.Pages.CurrencyPages.CurrencyEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master" ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/CurrencyEditor.ascx" TagName="CurrencyEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Currencies/CurrencyRatesEditor.ascx" TagName="CurrencyRatesEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="CurrencyEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server" />
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:CurrencyTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:CurrencyTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <innercontent>
                                          <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:CurrencyEditor ID="CurrencyEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </innercontent>
                                    </Tab:CurrencyTabItem>
                                    <Tab:CurrencyTabItem runat="server" ID="SourceCurrencyTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <innercontent>
                                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <uc:CurrencyRatesEditor runat="server" ID="SourceCurrencyRates" />
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        </innercontent>
                                    </Tab:CurrencyTabItem>
                                    <Tab:CurrencyTabItem runat="server" ID="DestinationCurrencyTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <innercontent>
                                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <uc:CurrencyRatesEditor runat="server" ID="DestinationCurrencyRates" />
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        </innercontent>
                                    </Tab:CurrencyTabItem>
                                </Items>
                            </Tab:CurrencyTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
