﻿<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="PaymentSettings.aspx.cs" Inherits="Core.Web.Admin.Pages.Settings.PaymentSettings" Title="Untitled Page" %>
<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>
<%@ Register Src="~/Admin/Controls/Settings/Payment/PayPalSettings.ascx" TagPrefix="uc" TagName="PayPal" %>
<%@ Register Src="~/Admin/Controls/Settings/Payment/WorldPaySettings.ascx" TagPrefix="uc" TagName="WorldPay" %>
<%@ Register Src="~/Admin/Controls/Settings/Payment/GcheckoutSettings.ascx" TagPrefix="uc" TagName="Gcheckout" %>
<%@ Register Src="~/Admin/Controls/Settings/Payment/ProtXSettings.ascx" TagPrefix="uc" TagName="ProtX" %>
<%@ Register Src="~/Admin/Controls/Settings/Payment/ChronoPaySettings.ascx" TagPrefix="uc" TagName="ChronoPaySettings" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="EditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <br />
      <Tabs:TabContainer runat="server" ID="SettingsTabMenu">
        <Items> 
          <Tabs:TabItem runat="server" ID="PayPalTab" Title="PayPal">
            <innercontent>
              <uc:PayPal id="PayPal" runat="server" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="WorldPayTab" Title="WorldPay">
            <innercontent>
              <uc:WorldPay id="WorldPay" runat="server" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="GcheckoutTab" Title="Google Checkout">
            <innercontent>
              <uc:Gcheckout id="Gcheckout" runat="server" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="ProtXTab" Title="ProtX">
            <innercontent>
              <uc:ProtX id="ProtX" runat="server" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="ChronoPayTab" Title="Chrono Pay">
            <innercontent>
              <uc:ChronoPaySettings id="ChronoPay" runat="server" />
            </innercontent>
          </Tabs:TabItem>          
        </Items>
      </Tabs:TabContainer>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
