﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductSearchResultRepeaterItem.ascx.cs" Inherits="Core.Web.Controls.SearchResult.SearchResultRepeaterItems.ProductSearchResultRepeaterItem" %>

<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="iFramework.Core.Utilities" %>

<div class="Product" style="margin-left: -9px; margin-right: -9px;">
  <dl class="PreView">
    <dt class="Image"><a href="<%#UrlBuilder.GetProductDetailsUrl((String)Eval("Item.Url"))%>">
      <img src="<%#ThumbnailImageUrl%>" alt="<%#TextUtility.FormatText((String)Eval("Item.Title") ) %>" /></a></dt>
    <dd class="Desc">
      <h3>
        <a href="<%#UrlBuilder.GetProductDetailsUrl((String)Eval("Item.Url"))%>">
          <%#TextUtility.ShrinkText(TextUtility.FormatText(Eval("Item.Title") as String, 20), 50)%></a></h3>
      <p><%#ShortDescription%></p>
      <div class="Options">
        <div class="StatisticData"><%#GetRelevance((bool)Eval("IsFeatured"), (int?)Eval("PercentRelevance"))%></div>
				<div class="Price"><%#Price%></div>
				<div class="Buy" runat="server" id="BuyArea"><a runat="server" id="BuyLink"></a></div>
      </div>      
    </dd>
  </dl>
</div>
