﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeliveryChargeListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.DeliveryChargeListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:DeliveryChargeGridView runat="server" ID="Grid" >
                <Columns>
                  <List:GridColumn Header="Delivery Method" PropertyName="DeliveryMethod.Name" Width="30"/>
                  <List:GridColumn Header="Interval" PropertyName="Interval" Width="30"/>
                  <List:MoneyGridColumn Header="Price" PropertyName="Price" Width="25"/>
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="butt-edit-dis png cursor-hand" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="butt-delete-dis png cursor-hand" />
                </ActionColumns>
            </Grid:DeliveryChargeGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
