﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="PermissionsListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.PermissionsListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:ModuleGridView runat="server" ID="Grid" ShowCheckBoxColumn="false" OnDataRetriving="DataRetrievingHandler">
                <Columns>
                   <List:GridColumn Header="Name" PropertyName="Name" Width="76"/>
                   <List:BinaryGridColumn Header="Status" PropertyName="Enabled" Width="10"/>
                </Columns>
                <ActionColumns>
                    <List:ClickActionColumn Width="4" CssClass="butt-role-permissions png cursor-hand" InactiveCssClass="butt-role-permissions-inactive png cursor-hand" ActionPrefix="1" />
                    <List:ClickActionColumn Width="4" CssClass="butt-account-permissions png cursor-hand" InactiveCssClass="butt-account-permissions-inactive png cursor-hand" ActionPrefix="2" />
                </ActionColumns>
            </Grid:ModuleGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" />
            <span class="grid-area-filter-item">
                <label class="line-label"><%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
