﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ReviewListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.ReviewListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                    <UI:FilterDropDownList runat="server" ID="ProductFilter" />
                    <UI:FilterDateRange runat="server" ID="CreationDateFilter" PropertyName="CreationDate" Title="Creation Date" CssClass="filter-date-range-250" RenderColons="false" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:ReviewGridView runat="server" ID="Grid" >
                <Columns>
                    <List:GridColumn Header="Author" PropertyName="Author" Width="23" />
                    <List:GridColumn Header="Product" PropertyName="Product.Title" Width="23" />
                    <List:GridColumn Header="Creation Date" PropertyName="CreationDate" Width="6" />
                    <List:GridColumn Header="Text" PropertyName="ShortText" Width="31" />
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="butt-edit-dis png cursor-hand" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="butt-delete-dis png cursor-hand" />
                </ActionColumns>
            </Grid:ReviewGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
