﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeliveryChargeViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.DeliveryChargeViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.DeliveryChargeDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="DeliveryMethodFieldView" InputToDisplayID="DeliveryMethodLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="DeliveryMethodLabel" runat="server" 
                                          Template-PropertyName="DeliveryMethod.Name" Template-DisplayName="Delivery Method" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="IntervalStartPriceFieldView" InputToDisplayID="IntervalStartPriceLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="IntervalStartPriceLabel" runat="server" Template-PropertyName="IntervalStartPrice" FormatAsMoney="true"/>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="IntervalEndPriceFieldView" InputToDisplayID="IntervalEndPriceLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="IntervalEndPriceLabel" runat="server" Template-PropertyName="IntervalEndPrice" FormatAsMoney="true"/>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="PriceLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="PriceLabel" runat="server" Template-PropertyName="Price" FormatAsMoney="true"/>
                                        </td>
                                      </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
