﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CategoryReorderPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.CategoryPages.CategoryReorderPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>
<%@ Register Src="~/Admin/Controls/Trees/CategoryReorderTree.ascx" TagName="CategoryReorderTree" TagPrefix="uc"%>
<%@ Import Namespace="Core.Web" %>

<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="VerticalToolbar" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="CategoryListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top:27px">
                <tbody>
                    <tr>
                        <td valign="top" class="data-area">
                            <uc:CategoryReorderTree runat="server" ID="ReorderTree" />  
                        </td>
                        <td valign="top">
                            <uc:VerticalToolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
