﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ProductImageEditorPage.aspx.cs"
  Inherits="Core.Web.Admin.Pages.ProductImagePages.ProductImageEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
  ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/ProductImageEditor.ascx" TagName="ProductImageEditor"
  TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/MediaLibraryExplorer.ascx" TagPrefix="uc" TagName="MediaLibraryExplorer" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="ProductImageEditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <div class="management-buttons flo">
        <uc:HelpButton ID="HelpButton" runat="server" />
        <h2 class="edit-header">
          <%=PageTitle%></h2>
      </div>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tbody>
          <tr>
            <td width="100%" valign="top">
              <Tab:ProductImageTabContainer ID="TabContainer" runat="server">
                <Items>
                  <Tab:ProductImageTabItem runat="server" ID="DetailsTab" Active="true"
                    ActiveForNewEntity="true">
                    <innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:ProductImageEditor ID="ProductImageEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </innercontent>
                  </Tab:ProductImageTabItem>
                </Items>
              </Tab:ProductImageTabContainer>
            </td>
            <td valign="top" class="tabs-box-column">
              <uc:Toolbar runat="server" ID="VerticalToolbar" />
            </td>
          </tr>
        </tbody>
      </table>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
